device='3'
model='llava_v1.5_7B'
# categories=("privacy" "bias" "toxicity" "hallucination" "legality")
categories='all'
# probe_datasets='spa_vl@seed_bench&safebench_zh'
probe_datasets='seed_bench&safebench_zh'
validate_dataset='MLLMGuard'
# categories=("legality")

num_heads_list=(24)
alpha_list=(15 20 25 30)

for num_head in "${num_heads_list[@]}"; do
  # 内层循环
    for alpha in "${alpha_list[@]}"; do
        echo $num_head $alpha
        python inference_iti_multiple2.py --model $model \
                        --validate_dataset $validate_dataset \
                        --categories $categories \
                        --log_file "logs/evaluate-${category}_${model}.log" \
                        --device $device \
                        --probe_datasets $probe_datasets \
                        --num_heads $num_head \
                        --alpha $alpha \
                        --subfix '_onlyallimg' \
                        --use_center_of_mass
    done
done